# Uses of Class
ch.qos.logback.core.joran.spi.Interpreter

Packages that use Interpreter
Package
Description
ch.qos.logback.core.joran
Contains Joran configuration classes.
ch.qos.logback.core.joran.spi
ch.qos.logback.core.sift

## Uses of Interpreter in ch.qos.logback.core.joran

Fields in ch.qos.logback.core.joran declared as Interpreter
Modifier and Type
Field
Description
`protected Interpreter`
GenericConfigurator.`interpreter`
Methods in ch.qos.logback.core.joran with parameters of type Interpreter
Modifier and Type
Method
Description
`protected abstract void`
GenericConfigurator.`addImplicitRules(Interpreter interpreter)`
`protected void`
JoranConfiguratorBase.`addImplicitRules(Interpreter interpreter)`

## Uses of Interpreter in ch.qos.logback.core.joran.spi

Methods in ch.qos.logback.core.joran.spi that return Interpreter
Modifier and Type
Method
Description
`Interpreter`
InterpretationContext.`getJoranInterpreter()`
Constructors in ch.qos.logback.core.joran.spi with parameters of type Interpreter
Modifier
Constructor
Description
``
`EventPlayer(Interpreter interpreter)`
``
`InterpretationContext(Context context, Interpreter joranInterpreter)`

## Uses of Interpreter in ch.qos.logback.core.sift

Methods in ch.qos.logback.core.sift with parameters of type Interpreter
Modifier and Type
Method
Description
`protected void`
SiftingJoranConfiguratorBase.`addImplicitRules(Interpreter interpreter)`